Bug 171208 - [patch] lang/itcl -- fix build with Tcl 8.6
Summary: [patch] lang/itcl -- fix build with Tcl 8.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-31 15:20 UTC by Pietro Cerutti
Modified: 2012-09-18 11:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.14 KB, patch)
2012-08-31 15:20 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti freebsd_committer 2012-08-31 15:20:12 UTC
Patch is kind of self-explaining...

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-08-31 15:20:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gahr

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-08-31 15:20:25 UTC
Maintainer of lang/itcl,

Please note that PR ports/171208 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171208

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-08-31 15:20:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2012-09-18 11:47:12 UTC
Author: gahr
Date: Tue Sep 18 10:47:02 2012
New Revision: 304441
URL: http://svn.freebsd.org/changeset/ports/304441

Log:
  - Fix build against Tcl 8.6
  
  PR:		171208
  Submitted by:	gahr
  Approved by:	maintainer (timeout > 15 days)

Modified:
  head/lang/itcl/files/patch-warnings   (contents, props changed)

Modified: head/lang/itcl/files/patch-warnings
==============================================================================
--- head/lang/itcl/files/patch-warnings	Tue Sep 18 10:22:28 2012	(r304440)
+++ head/lang/itcl/files/patch-warnings	Tue Sep 18 10:47:02 2012	(r304441)
@@ -142,12 +142,23 @@
 +    const char **listv;
  
      cmdName = ckalloc((unsigned)strlen(name)+1);
---- generic/itclInt.h	2008-12-15 15:02:58.000000000 -0500
-+++ generic/itclInt.h	2010-01-24 15:15:06.000000000 -0500
-@@ -207,5 +207,5 @@
+--- generic/itclInt.h.orig	2008-12-15 21:02:58.000000000 +0100
++++ generic/itclInt.h	2012-08-31 16:07:23.000000000 +0200
+@@ -63,7 +63,7 @@
+ #if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION < 6)
+ #define ERRORLINE(interp) ((interp)->errorLine)
+ #else
+-#define ERRORLINE(interp) (Tcl_GetErrorLine(interp))
++#define ERRORLINE(interp) (Tcl_GetErrorLine((Tcl_Interp *)interp))
+ #endif
+ 
+ #define ITCL_TCL_PRE_8_5 (TCL_MAJOR_VERSION == 8 && TCL_MINOR_VERSION < 5)
+@@ -206,7 +206,7 @@
+     Tcl_HashEntry entry;
  } ItclVarInHash;
  
 -#define ItclOffset(type, field) ((int) ((char *) &((type *) 0)->field))
 +#define ItclOffset(type, field) ((intptr_t)((char *) &((type *) 0)->field))
  
  #define itclOldRuntime (itclVarFlagOffset!=0)
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pietro Cerutti freebsd_committer 2012-09-18 11:47:18 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!